-- Author:		Ahbaid Gaffoor
-- File:		tablespaces.sql
-- Use:			Create tablespaces

-- {{{ Verify file system space for &&fs1
prompt
prompt "Please verify that &&fs1 has &&data_tspc_size free"
prompt
host df -h &&fs1
prompt
accept continue prompt "Press enter to continue, Ctrl-C to abort..."
-- }}}

-- {{{ Verify file system space for &&fs2
prompt
prompt "Please verify that &&fs2 has &&ndx_tspc_size free"
prompt
host df -h &&fs2
prompt
accept continue prompt "Press enter to continue, Ctrl-C to abort..."
-- }}}

set echo on
spool tablespaces

create tablespace &&data_tspc
datafile '&&fs1/&&data_tspc-01.dbf' size &&data_tspc_size
extent management local
segment space management auto;

create tablespace &&ndx_tspc
datafile '&&fs1/&&ndx_tspc-01.dbf' size &&ndx_tspc_size
extent management local
segment space management auto;

spool off
set echo off
